package com.gic.haoban.manage.web.log;

import com.gic.log.record.bean.GicLogRecordBean;
import com.gic.log.record.service.LogRecordAfterService;
import com.gic.log.record.util.GicLogRecordEvaluationContext;
import com.gic.log.record.util.GicLogRecordOptTypeEnum;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

/**
 * @Author MUSI
 * @Date 2022/7/15 11:50 AM
 * @Description
 * @Version
 **/
@Component
public class LogRecordAfterServiceImpl extends LogRecordAfterService {

    public static final String WELCOME_TYPE = "welcome_type";
    public static final String WELCOME_OPT = "welcome_opt";

    @Override
    public void deal(GicLogRecordBean gicLogRecordBean) {
        String value = GicLogRecordEvaluationContext.getAttribute(WELCOME_OPT, String.class);
        if ("add".equals(value)){
            // 新建普通欢迎语
            this.changeLogRecordOptType(gicLogRecordBean, GicLogRecordOptTypeEnum.WELCOME_ADD);
        }
        if (StringUtils.equals("edit", value)){
            // 编辑普通欢迎语
            this.changeLogRecordOptType(gicLogRecordBean, GicLogRecordOptTypeEnum.WELCOM_UPDATE);
        }
    }

    private void changeLogRecordOptType(GicLogRecordBean gicLogRecordBean, GicLogRecordOptTypeEnum optTypeEnum){
        if (gicLogRecordBean == null || optTypeEnum == null){
            return;
        }
        gicLogRecordBean.setOptType(optTypeEnum.getType());
        gicLogRecordBean.setOptTypeName(optTypeEnum.getName());
        gicLogRecordBean.setSystemType(optTypeEnum.getSystemType());
    }
}
